using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pcd_g1
{
    class FlowerBombStageObject:BombStageObject
	{
        private static Random rand = new Random();

        private sbyte direction = 1;//１なら右、－１なら左
        private double speedX;

        public FlowerBombStageObject(int x, int y, Stage stg, IStageObject character)
            : base(x, y, stg, character)
        {
            KilledByBlock = true;		//trueにするとブロックで消滅
            KilledByCharacter = false;	//trueにするとキャラを突き抜けない
            Damage = 15;					//敵に与えるダメージ
            Visibility = true;			//trueにすると非表示に
            TTL = 1000;					//存在時間(fps)
            sound = "";

            //サイズ
            Width = 32;
            Height = 32;

            //当たり判定
            Range = new FreeRectangleCollideRange(this);
            ((FreeRectangleCollideRange)Range).Rect = new System.Drawing.RectangleF(0f, 0f, 32f, 32f);

            //移動速度
            SpeedX = 0;
            SpeedY = 2;

            //表示する画像
            picture = ImageManager.Search("883");
        }

        public override void Update(int keyStatus, out int vx, out int vy)
        {
            base.Update(keyStatus, out vx, out vy);

            if (rand.Next(10) == 0) direction *= -1;
            speedX += 0.1*direction;

            vx = (int)speedX; vy = (int)SpeedY;
        }
	}
}
